#
# spec file for package python-dominate
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dominate
Version:        2.5.1
Release:        bp153.1.25
Summary:        Python library for creating and manipulating HTML documents
License:        GPL-3.0-only
Group:          Development/Languages/Python
URL:            http://github.com/Knio/dominate/
Source:         https://files.pythonhosted.org/packages/source/d/dominate/dominate-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 2.7.3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Dominate is a Python library for creating and manipulating HTML
documents using an elegant DOM API.

It allows you to write HTML pages in pure Python very concisely,
which eliminates the need to learn another template language, and
lets you take advantage of the more powerful features of Python.

%prep
%setup -q -n dominate-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Mar 31 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.5.1:
  * Support for Python 3.8
  * Add main element. Fixes #117
  * Use tagname property from object, not class. Fixes #89
* Fri Aug  9 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to 2.4.0
  * The `dominate.svg` module contains SVG tags similar to how
    `dominate.tags` contains HTML tags.
  * Suppress rendering of boolean attributes when the value is False
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.3.5:
  * support for python 3.7
* Thu Oct 18 2018 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 2.3.4:
  * Few minor bugfixes all around
* Wed Jan 17 2018 toddrme2178@gmail.com
- Initial version
